using Photon.Pun;

public class BleedEffectInstance : BaseDamageOverTimeEffectInstance
{
    public override DamageOverTimeType DamageType => DamageOverTimeType.Bleed;

    [PunRPC]
    public void RPC_ApplyDamageOverTimeEffectBleed(int effectIndex, float value)
    {
        ApplyEffect(StatusEffectIndexer.Instance.StatusEffects[effectIndex], value);
    }

    [PunRPC]
    public void RPC_EffectAppliedBleed()
    {
        OnEffectStackAddedEvent.Invoke();
    }

    [PunRPC]
    public void RPC_EffectEndedBleed()
    {
        OnEffectEnded.Invoke();
    }
}